me and 1and1 are cool again…

so i’ve had this long-standing issue with my host, 1and1, where i wasn’t able to install plugins or upgrade the wordpress software to the latest and greatest version…

this really ticked me off because i would have to do plugin updates manually (upload via ftp) and the newest wordpress 3.x didn’t want to upgrade at all (i’d get server errors)

so i finally consulted google and was able to find a solution — apparently it has bothered other people!

If you are a 1and1.com user and are having problems getting the auto upgrade to work (for both the core and plugins), here’s the fix.

Add the following line to your .htaccess file (in the root directory of your WP install):

AddType x-mapp-php5 .php

as soon as i updated the .htaccess file, i was able to upgrade plugins and even wordpress itself!

i was even able to install the WPtouch plugin through my phone! that’s sick.

happy.

Leave a Reply